package org.apache.bcel.generic;

import org.apache.bcel.ExceptionConst;

/* loaded from: org_apache_bcel_generic.jar:org/apache/bcel/generic/ANEWARRAY.class */
public class ANEWARRAY extends CPInstruction implements LoadClass, AllocationInstruction, ExceptionThrower, StackConsumer, StackProducer {
    /* JADX INFO: Access modifiers changed from: package-private */
    public ANEWARRAY() {
    }

    public ANEWARRAY(int index) {
        super((short) 189, index);
    }

    @Override // org.apache.bcel.generic.Instruction
    public void accept(Visitor v) {
        v.visitLoadClass(this);
        v.visitAllocationInstruction(this);
        v.visitExceptionThrower(this);
        v.visitStackProducer(this);
        v.visitTypedInstruction(this);
        v.visitCPInstruction(this);
        v.visitANEWARRAY(this);
    }

    @Override // org.apache.bcel.generic.ExceptionThrower
    public Class<?>[] getExceptions() {
        return ExceptionConst.createExceptions(ExceptionConst.EXCS.EXCS_CLASS_AND_INTERFACE_RESOLUTION, new Class[]{ExceptionConst.NEGATIVE_ARRAY_SIZE_EXCEPTION});
    }

    @Override // org.apache.bcel.generic.LoadClass
    public ObjectType getLoadClassType(ConstantPoolGen cpg) {
        Type t = getType(cpg);
        if (t instanceof ArrayType) {
            t = ((ArrayType) t).getBasicType();
        }
        if (t instanceof ObjectType) {
            return (ObjectType) t;
        }
        return null;
    }
}
